> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a mock Wire payment

> In the sandbox environment, initiate a mock wire payment that mimics the behavior of funds sent through the bank (wire) account linked to master wallet.



## OpenAPI

````yaml openapi/account.yaml post /v1/mocks/payments/wire
openapi: 3.0.2
info:
  version: ${version}
  title: Core Functionality
  description: >
    All of Circle's APIs share a common set of core functionality that lets you
    manage your Circle Account in a programmatic way.


    With a Circle Account your business can deposit traditional money from 80+
    countries and seamlessly convert them into "digital currency dollars": USDC.
    You can then use USDC for everyday payments and treasury flows.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Balances
    description: Get information on settled and unsettled balances.
  - name: Payouts
    description: Create and get information on 1st party payouts.
  - name: Wires
    description: >-
      Create, get instructions, and get information on 1st party bank accounts
      for wire transfers.
  - name: CUBIX
    description: Create and get information on CUBIX accounts.
  - name: PIX
    description: Create and get information on PIX accounts.
  - name: Transfers
    description: Create and get information on 1st party transfers.
  - name: Addresses
    description: Generate and get information on blockchain addresses.
  - name: Deposits
    description: Get information on 1st party deposits.
  - name: Payments
    description: Create, cancel, refund, and get updates on card payments.
  - name: Settlement Bank Routing
    description: View and manage settlement bank routing preferences for fiat accounts.
  - name: Reporting
    description: >-
      Retrieve transaction and balance reports, including ISO 20022 (CAMT.053)
      statements and managed-payment reports.
paths:
  /v1/mocks/payments/wire:
    post:
      tags:
        - Payments
      summary: Create a mock Wire payment
      description: >-
        In the sandbox environment, initiate a mock wire payment that mimics the
        behavior of funds sent through the bank (wire) account linked to master
        wallet.
      operationId: createMockWirePayment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MockWirePaymentRequest'
      responses:
        '201':
          description: Successfully created a mock wire payment.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: CreateWirePaymentResponse
                properties:
                  data:
                    $ref: '#/components/schemas/MockWirePaymentResponse'
              examples:
                response:
                  value:
                    data:
                      trackingRef: CIR13FB13A
                      amount:
                        amount: '3.14'
                        currency: USD
                      beneficiaryBank:
                        accountNumber: '11111111'
                      status: pending
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/NotAuthorized'
      security:
        - bearerAuth: []
components:
  schemas:
    MockWirePaymentRequest:
      type: object
      required:
        - trackingRef
        - amount
        - beneficiaryBank
      properties:
        trackingRef:
          type: string
          description: >-
            Wire tracking reference that needs to be set in the wire reference
            to beneficiary field. This field is retrievable through the response
            during wire creation or via the bank instruction endpoint.
          example: CIR13FB13A
        amount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        beneficiaryBank:
          $ref: '#/components/schemas/MockWirePaymentBeneficiaryBankInstruction'
        memo:
          type: string
          description: Optional free-form text memo for client reference information.
    MockWirePaymentResponse:
      type: object
      properties:
        trackingRef:
          type: string
          description: >-
            Wire tracking reference that needs to be set in the wire reference
            to beneficiary field. This field is retrievable through the response
            during wire creation or via the bank instruction endpoint.
          example: CIR13FB13A
        amount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        beneficiaryBank:
          $ref: '#/components/schemas/MockWirePaymentBeneficiaryBankInstruction'
        status:
          type: string
          description: >-
            Enumerated status of the wire payment. Status `pending` indicates
            that the wire payment is in process; `processed` indicates it
            finished successfully; `failed` indicates it failed.
          enum:
            - pending
            - processed
            - failed
    FiatMoneyUsd:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: string
          description: Magnitude of the amount, in units of the currency, with a `.`.
          example: '3.14'
        currency:
          description: Currency code.
          type: string
          enum:
            - USD
    MockWirePaymentBeneficiaryBankInstruction:
      type: object
      required:
        - accountNumber
      properties:
        accountNumber:
          type: string
          description: >-
            Virtual account number or Circle corporate Wells Fargo wire account
            number that needs to be set as destination.
          example: '11111111'
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  responses:
    BadRequest:
      description: The request cannot be processed due to a client error.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: BadRequest
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 400
              message: Bad request.
          examples:
            response:
              value:
                code: 400
                message: Bad request.
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````